SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Base de dades utilitzada: `ram`
-- 
CREATE DATABASE IF NOT EXISTS ram;
USE ram;

-- 
-- Estructura de la taula `Usuaris`
-- 

DROP TABLE IF EXISTS `Usuaris`;
CREATE TABLE `Usuaris` (
  `username` char(40) NOT NULL,
  `name` char(30) default NULL,
  `surnames` char(60) default NULL,
  `admin` TINYINT(1),
  `info` text,
  `password` char(32),
  `public_key` text NOT NULL,
  PRIMARY KEY  (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

--
-- Inserció dades a taula `Usuaris`
--

INSERT INTO `Usuaris` (`username`, `admin`, `public_key`, `password`) VALUES
('admin',1,'00000','9450476b384b32d8ad8b758e76c98a69');

-- 
-- Estructura de la taula `GrupUsuaris`
-- 

DROP TABLE IF EXISTS `GrupUsuaris`;
CREATE TABLE `GrupUsuaris` (
  `name` char(20) NOT NULL,
  `info` text,
  `admin` TINYINT(1),
  `individual` TINYINT(1),
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

-- 
-- Estructura de la taula `AgrupacioUsuaris`
-- 

DROP TABLE IF EXISTS `AgrupacioUsuaris`;
CREATE TABLE `AgrupacioUsuaris` (
   `username` char(40) NOT NULL,
   `groupname` char(20) NOT NULL,
   PRIMARY KEY (`username`,`groupname`),
   FOREIGN KEY (`username`) REFERENCES Usuaris(username),
   FOREIGN KEY (`groupname`) REFERENCES GrupUsuaris(name)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

--
-- Estructura de la taula `Servidors`
--

DROP TABLE IF EXISTS `Servidors`;
CREATE TABLE `Servidors` (
   `hostname` char(40) NOT NULL,
   `ip` char(16) NOT NULL,
   `mixed_mode` TINYINT(1),
   `hash_known_host` char(32),
   `user` char(10),
   `path` char(30),
   `info` text,
   PRIMARY KEY (`hostname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

-- 
-- Estructura de la taula `GrupServidors`
-- 

DROP TABLE IF EXISTS `GrupServidors`;
CREATE TABLE `GrupServidors` (
  `name` char(20) NOT NULL,
  `info` text,
  `individual` TINYINT(1),
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;


-- 
-- Estructura de la taula `AgrupacioServidors`
-- 

DROP TABLE IF EXISTS `AgrupacioServidors`;
CREATE TABLE `AgrupacioServidors` (
   `hostname` char(40) NOT NULL,
   `groupname` char(20) NOT NULL,
   PRIMARY KEY (`hostname`,`groupname`),
   FOREIGN KEY (`hostname`) REFERENCES Servidors(hostname),
   FOREIGN KEY (`groupname`) REFERENCES GrupServidors(name)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

--
-- Estructura de la taula `Logs`
-- 

DROP TABLE IF EXISTS `Logs`;
CREATE TABLE `Logs` (
   `date` TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
   `username` char(40) NOT NULL,
   `info` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ; 

--
-- Estructura de la taula `AgrupacioAccessos`;
--

DROP TABLE IF EXISTS `Accessos`;
CREATE TABLE `Accessos` (
   `usergroup` char(20) NOT NULL,
   `servergroup` char(20) NOT NULL,
   `dataexp` DATE,
   PRIMARY KEY (`usergroup`,`servergroup`),
   FOREIGN KEY (`usergroup`) REFERENCES GrupUsuaris(name),
   FOREIGN KEY (`servergroup`) REFERENCES GrupServidors(name)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;
    
