<?php
class Accessos_Model extends TinyMVC_Model
{

  /***************************
   * Persistència d'accessos *
   ***************************/
	
  /*
   * Funció que s'utilitza per donar d'alta un accés.
   */
  function insertar_acces($usergroup, $servergroup, $dataexp) {
    return $this->db->insert('Accessos',array('usergroup'=>$usergroup,'servergroup'=>$servergroup,'dataexp'=>$dataexp));
  }   
  
  /*
   * Funció que retorna tots els accessos donats d'alta.
   */
  function consultar_accessos() {
    return $this->db->query_all('select * from Accessos order by usergroup');
  }  
  
  /*
   * Funció que consulta el detall de l'accés que es
   * refereixi a $usergroup i a $servergroup.
   */
  function consultar_acces($usergroup,$servergroup) {
    return $this->db->query_all('select * from Accessos where usergroup = ? and servergroup = ?',array($usergroup,$servergroup));
  }  
  
  /*
   * Funció que s'utilitza per obtenir el conjunt d'accessos que compleixen
   * la condició que el camp $camp contingui el valor $valor.
   */
  function consultar_accessos_filtre($camp,$valor) {
  	
  	switch ($camp) {
  		case "usergroup":
  			return $this->db->query_all('select * from Accessos where usergroup like ? order by usergroup',array('%'.$valor."%"));
  			break;
  		case "servergroup":
  			return $this->db->query_all('select * from Accessos where servergroup like ? order by usergroup',array('%'.$valor."%"));
  			break;			
  	}   
  }  
  
  /*
   * Funció que modifica l'accés definit pel $usergroup i
   * el $servergroup passats com a paràmetre. L'únic atribut
   * que modifica és el de data d'expiració de l'accés, passat
   * també com a paràmetre, $dataexp.
   */
  function modificar_acces($usergroup, $servergroup, $dataexp) {
  	$this->db->orwhere('usergroup=? and servergroup=?',array($usergroup,$servergroup));
  	return $this->db->update('Accessos',array('dataexp'=>$dataexp));
  } 
  
  /*
   * Funció que esborra un determinat accés en funció
   * del $usergroup i $servergroup facilitats per paràmetre
   */
  function esborrar_acces($usergroup, $servergroup) {
    $this->db->orwhere('usergroup=? and servergroup=?',array($usergroup,$servergroup));
    return $this->db->delete('Accessos');
  } 
}
?>